4

I unrooted my HTC Desire today and restored the stock ROM image, recovery image, etc. It's running Android 2.2.2 now. I noticed that the YouTube app is broken. I can run it, but it complains about not having Internet access, even though WiFi is working perfectly fine and I can surf the web. It also shows no video content, not even video titles, nothing.

I have received the Play Store (came with Android Market app) and I have successfully updated apps like Maps, Facebook, etc. but I can't see any update available for YouTube. I can't even locate the YouTube app.

If I visit the Play Store on my desktop PC I can locate the YouTube app, it's right here: https://play.google.com/store/apps/details?id=com.google.android.youtube

I can't push install it from the desktop, because it says it's not compatible.

This item is not compatible with your device.

a

So does this mean that users who are stuck with an old device, and with older version of Android, are not able to use many of the Google apps such as YouTube?

IMHO, it should still be possible to download an older version of any given Android app, one that works with that particular Android version and device. This has always been the Achilles heel of Android, since its inception. Once you go up, to a newer version of an app, be it Google app or some other app, you can't go back.

But Google apps especially, should be made to work with older versions of Android, and users running old versions of those apps, such as YouTube, should be able to use the service without running into errors. In case the service has changed so much that it's no longer compatible with the old app version. The service should be developed to keep backward compatibility with old app versions.

Look at how the Play Store can be offered, installed, and run on old Android 2.2.2. I can even buy movies and music, despite this being an old device with limited storage space. Why can't they make YouTube work on old Android devices as well?

  • Maybe third-party applications and the website works. – neverMind9 Jun 7 at 19:53
3

APKMirror provides mirror for (almost) all version of YouTube APK.

You could try sideloading YouTube 5.2.27, the last version that Froyo (Android 2.2) still supports.

The next version, which is 5.3.23, already requires Gingerbread (Android 2.3.3).

1

I had this issue but found older versions of YouTube online (freewarelovers.com), downloaded the APK file through my phone browser and it installed. Now it's working fine. I did have to take a gamble regarding which version to download but I used 2.3.4. (I used to have version 4.4 but couldn't find it online.)

0

This might work as a workaround, but I don't know if this particular app is compatible with Android 2.2. The "Dolphin" browser I believe has Flash built in. It would mean that you could browse the Youtube website as if you were using a PC with a browser. The videos would be shown as either html5 or flash plugins, which is built in to Dolphin. I have not tried this recently, but I believe I had this working in one of my older cell phones.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.